<?php
require_once "connect.php";

// dados da seção
$id_usuario = 0;
$st_ativo	= 1;
$ok = true;

if(isset($_SESSION['id_usuario'])){
  $id_usuario = $_SESSION['id_usuario'];
}

//Recebendo parametros do Form
if(isset($_POST['id'])){
  $id       = $_POST['id'];
}

if(isset($_POST['ds_categoria'])){
  $ds_categoria	= trim($_POST['ds_categoria']); 
  
}

if ($_FILES['ds_imagem']['error'] == UPLOAD_ERR_OK) {
  

  $diretorio = "img/categorias/"; //diretorio onde ficarão as imagens de categorias de produtos
  $ds_imagem	= $diretorio . $_FILES['ds_imagem']['name']; //salvando caminho + nome da imagem

  move_uploaded_file($_FILES['ds_imagem']['tmp_name'],$ds_imagem); //passando a imagem do diretório temporário de uploads para o diretório de imagens
}

// preprarando sql conforme instrição editar, excluir e adicionar
if(isset($_POST['editar'])) {
  $sql = "update erpc_categorias_produtos set ds_categoria = '$ds_categoria',ds_imagem = '$ds_imagem',st_ativo  =  $st_ativo";
  $sql .= " where id = '$id'";
}else
	if(isset($_POST['excluir'])) {
	$sql = "update erpc_categorias_produtos set st_ativo = 0";
	$sql .= " where id = '$id'";
}else
	if(isset($_POST['adicionar'])) {
	$sql = "insert into erpc_categorias_produtos (ds_categoria, ds_imagem, st_ativo) values ('$ds_categoria', '$ds_imagem', $st_ativo)";

}

// Se montou o SQL, executa
if($sql!=""){
  $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
  $ok   = mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));
}

//Voltando para lista
if(isset($_POST['helper'])){
  if ($ok) {
    $msg['text'] = 'Item inserido com sucesso';
    $msg['type'] = 'success';
  } else {
    $msg['text'] = $errorMsg;
    $msg['type'] = 'error';
  }
  header('Content-type: application/json');
  echo json_encode($msg);
}else{
  header("Location:erpc_categorias_produtos_list.php");
}
?>
